Bug 1027175 - [abrt] darktable-1.2.3-1.fc19: dt_accel_deregister_iop: Process /usr/bin/darktable was killed by signal 6 (SIGABRT)
[abrt] darktable-1.2.3-1.fc19: dt_accel_deregister_iop: Process /usr/bin/dark...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: darktable (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Edouard Bourguignon
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3dc56ee4ae89dc4b93d202322a9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 05:28 EST by Martin
Modified: 2014-09-14 20:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-15 02:54:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (91.81 KB, text/plain)
2013-11-06 05:28 EST, Martin
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-06 05:28 EST, Martin
no flags Details
File: core_backtrace (73.73 KB, text/plain)
2013-11-06 05:28 EST, Martin
no flags Details
File: dso_list (24.20 KB, text/plain)
2013-11-06 05:28 EST, Martin
no flags Details
File: environ (1.71 KB, text/plain)
2013-11-06 05:28 EST, Martin
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-06 05:28 EST, Martin
no flags Details
File: maps (125.58 KB, text/plain)
2013-11-06 05:29 EST, Martin
no flags Details
File: open_fds (2.09 KB, text/plain)
2013-11-06 05:29 EST, Martin
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-11-06 05:29 EST, Martin
no flags Details

  None (edit)
Description Martin 2013-11-06 05:28:35 EST
Description of problem:
Crash when saving new preset for exposure plug-in.
reproducible: randomly

Version-Release number of selected component:
darktable-1.2.3-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/darktable /home/martix/data/100CANON/Magda/TIF/IMG_4223.TIF /home/martix/data/100CANON/Magda/TIF/IMG_4231.TIF /home/martix/data/100CANON/Magda/TIF/IMG_4273.TIF /home/martix/data/100CANON/Magda/TIF/IMG_4291.TIF /home/martix/data/100CANON/Magda/TIF/IMG_4376.TIF
crash_function: dt_accel_deregister_iop
executable:     /usr/bin/darktable
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 dt_accel_deregister_iop at /usr/bin/../lib64/darktable/libdarktable.so
 #6 dt_accel_rename_preset_iop at /usr/bin/../lib64/darktable/libdarktable.so
 #7 edit_preset_response at /usr/bin/../lib64/darktable/libdarktable.so
 #8 g_cclosure_marshal_VOID__INTv at gmarshal.c:410
 #9 _g_closure_invoke_va at gclosure.c:840
 #15 gtk_real_button_released at /lib64/libgtk-x11-2.0.so.0
 #16 _g_closure_invoke_va at gclosure.c:840
 #19 gtk_button_button_release at /lib64/libgtk-x11-2.0.so.0
 #20 _gtk_marshal_BOOLEAN__BOXED at /lib64/libgtk-x11-2.0.so.0
 #25 gtk_widget_event_internal at /lib64/libgtk-x11-2.0.so.0
Comment 1 Martin 2013-11-06 05:28:43 EST
Created attachment 820274 [details]
File: backtrace
Comment 2 Martin 2013-11-06 05:28:46 EST
Created attachment 820275 [details]
File: cgroup
Comment 3 Martin 2013-11-06 05:28:50 EST
Created attachment 820276 [details]
File: core_backtrace
Comment 4 Martin 2013-11-06 05:28:53 EST
Created attachment 820277 [details]
File: dso_list
Comment 5 Martin 2013-11-06 05:28:56 EST
Created attachment 820278 [details]
File: environ
Comment 6 Martin 2013-11-06 05:28:59 EST
Created attachment 820279 [details]
File: limits
Comment 7 Martin 2013-11-06 05:29:03 EST
Created attachment 820280 [details]
File: maps
Comment 8 Martin 2013-11-06 05:29:06 EST
Created attachment 820281 [details]
File: open_fds
Comment 9 Martin 2013-11-06 05:29:09 EST
Created attachment 820282 [details]
File: proc_pid_status
Comment 10 Edouard Bourguignon 2014-01-15 02:54:58 EST
I don't seem to have this bug in darktable 1.4. It's available in the updates-testing repository if you want to give it a try.

Please re-open this bug if problem persists with 1.4. Thank you for your report.

Note You need to log in before you can comment on or make changes to this bug.